WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: BP Admin Actions] Admins are required to be super admin

[Resolved] [Plugin: BP Admin Actions] Admins are required to be super admin

  • The plugin currently uses the deprecated is_site_admin() for its functions. This is now replaced by is_super_admin().

    The functionality as it stands is not ideal as we have admins on our site that are not given super admin powers. To resolve this we changed the calls on lines 52 & 99 with current_user_can('administrator').

    http://wordpress.org/extend/plugins/bp-admin-actions/

Viewing 3 replies - 1 through 3 (of 3 total)
  • I have the same issue. What would the syntax be to add multiple roles?

    Also, the existing code for these lines is:
    if(is_site_admin())

    Where would ‘current_user_can(‘administrator’)’ go in relation to the existing code, would all of it be removed and replaced, including the ‘if’?

    [ Signature moderated. ]

    Mike Manger

    @mikemanger

    Hi Eric, the whole line looks like if(current_user_can('administrator'))

    As for adding multiple roles you can try and change administrator to one of the other roles or capabilities. E.g. if you want to give editors access try current_user_can('editor'). Administrators should still have access.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] [Plugin: BP Admin Actions] Admins are required to be super admin’ is closed to new replies.